{
  pkgs,
  nix-xilinx,
  system,
  ...
}: {
  environment.systemPackages = with pkgs;
    [
      acpi
      binutils
      binwalk
      bluez
      bluez-tools
      btop
      busybox
      curlHTTP3
      dfu-util
      dhcpcd
      direnv
      dmidecode
      dnsmasq
      dnsutils
      dtach
      f2fs-tools
      fd
      file
      fio
      fzf
      fzy
      git
      adwaita-icon-theme
      gnomeExtensions.appindicator
      gnupg
      gptfdisk
      hcxdumptool
      hdparm
      htop-vim
      interception-tools
      iw
      jq
      lm_sensors
      man-pages
      man-pages-posix
      meson
      mosh
      msmtp
      nano
      neovim
      ninja
      nix-index
      nixos-option
      nmap
      ntfs3g
      ntfsprogs
      nvim
      nvme-cli
      openhantek6022
      optipng
      pax-utils
      pciutils
      proxychains-ng
      pstree
      psutils
      qemu_kvm
      ripgrep
      rsync
      silver-searcher
      socat
      sops
      sshfs
      strace
      swaylock
      tig
      tmux
      traceroute
      unrar
      unzip
      usbutils
      uutils-coreutils
      vimpc
      vulkan-extension-layer
      vulkan-loader
      vulkan-tools
      vulkan-tools-lunarg
      vulkan-validation-layers
      wget
      wirelesstools
      wol
      xdg-utils
      xfsprogs
      zip
      z-lua
    ]
    ++ (with nix-xilinx.packages.${system}; [vivado vitis vitis_hls model_composer xilinx-shell]);
}
